| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TypeIdentifierPair Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure TypeIdentifierPair defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | TypeIdentifierPair ()
| Default constructor.
eProsima_user_DllExport | ~TypeIdentifierPair ()
| Default destructor.
eProsima_user_DllExport | TypeIdentifierPair (const TypeIdentifierPair &x)
| Copy constructor.
eProsima_user_DllExport | TypeIdentifierPair (TypeIdentifierPair &&x) noexcept
| Move constructor.
eProsima_user_DllExport TypeIdentifierPair & | operator= (const TypeIdentifierPair &x)
| Copy assignment.
eProsima_user_DllExport TypeIdentifierPair & | operator= (TypeIdentifierPair &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const TypeIdentifierPair &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const TypeIdentifierPair &x) const
| Comparison operator.
eProsima_user_DllExport void | type_identifier1 (const TypeIdentifier &_type_identifier1)
| This function copies the value in member type_identifier1.
eProsima_user_DllExport void | type_identifier1 (TypeIdentifier &&_type_identifier1)
| This function moves the value in member type_identifier1.
eProsima_user_DllExport const TypeIdentifier & | type_identifier1 () const
| This function returns a constant reference to member type_identifier1.
eProsima_user_DllExport TypeIdentifier & | type_identifier1 ()
| This function returns a reference to member type_identifier1.
eProsima_user_DllExport void | type_identifier2 (const TypeIdentifier &_type_identifier2)
| This function copies the value in member type_identifier2.
eProsima_user_DllExport void | type_identifier2 (TypeIdentifier &&_type_identifier2)
| This function moves the value in member type_identifier2.
eProsima_user_DllExport const TypeIdentifier & | type_identifier2 () const
| This function returns a constant reference to member type_identifier2.
eProsima_user_DllExport TypeIdentifier & | type_identifier2 ()
| This function returns a reference to member type_identifier2.

## Detailed Description

This class represents the structure TypeIdentifierPair defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ TypeIdentifierPair() [1/3]

eProsima_user_DllExport TypeIdentifierPair | ( |  | ) |

inline

Default constructor.

## ◆ ~TypeIdentifierPair()

eProsima_user_DllExport ~TypeIdentifierPair | ( |  | ) |

inline

Default destructor.

## ◆ TypeIdentifierPair() [2/3]

eProsima_user_DllExport TypeIdentifierPair | ( | const TypeIdentifierPair & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object TypeIdentifierPair that will be copied.

## ◆ TypeIdentifierPair() [3/3]

eProsima_user_DllExport TypeIdentifierPair | ( | TypeIdentifierPair && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object TypeIdentifierPair that will be copied.

## Member Function Documentation

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const TypeIdentifierPair & | x | ) | const

inline

Comparison operator.

Parameters

  x | TypeIdentifierPair object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport TypeIdentifierPair & operator= | ( | const TypeIdentifierPair & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object TypeIdentifierPair that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport TypeIdentifierPair & operator= | ( | TypeIdentifierPair && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object TypeIdentifierPair that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const TypeIdentifierPair & | x | ) | const

inline

Comparison operator.

Parameters

  x | TypeIdentifierPair object to compare.

## ◆ type_identifier1() [1/4]

eProsima_user_DllExport TypeIdentifier & type_identifier1 | ( |  | ) |

inline

This function returns a reference to member type_identifier1.

Returns
  Reference to member type_identifier1

## ◆ type_identifier1() [2/4]

eProsima_user_DllExport const TypeIdentifier & type_identifier1 | ( |  | ) | const

inline

This function returns a constant reference to member type_identifier1.

Returns
  Constant reference to member type_identifier1

## ◆ type_identifier1() [3/4]

eProsima_user_DllExport void type_identifier1 | ( | const TypeIdentifier & | _type_identifier1 | ) |

inline

This function copies the value in member type_identifier1.

Parameters

  _type_identifier1 | New value to be copied in member type_identifier1

## ◆ type_identifier1() [4/4]

eProsima_user_DllExport void type_identifier1 | ( | TypeIdentifier && | _type_identifier1 | ) |

inline

This function moves the value in member type_identifier1.

Parameters

  _type_identifier1 | New value to be moved in member type_identifier1

## ◆ type_identifier2() [1/4]

eProsima_user_DllExport TypeIdentifier & type_identifier2 | ( |  | ) |

inline

This function returns a reference to member type_identifier2.

Returns
  Reference to member type_identifier2

## ◆ type_identifier2() [2/4]

eProsima_user_DllExport const TypeIdentifier & type_identifier2 | ( |  | ) | const

inline

This function returns a constant reference to member type_identifier2.

Returns
  Constant reference to member type_identifier2

## ◆ type_identifier2() [3/4]

eProsima_user_DllExport void type_identifier2 | ( | const TypeIdentifier & | _type_identifier2 | ) |

inline

This function copies the value in member type_identifier2.

Parameters

  _type_identifier2 | New value to be copied in member type_identifier2

## ◆ type_identifier2() [4/4]

eProsima_user_DllExport void type_identifier2 | ( | TypeIdentifier && | _type_identifier2 | ) |

inline

This function moves the value in member type_identifier2.

Parameters

  _type_identifier2 | New value to be moved in member type_identifier2

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp